Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans
Interface XmlFloat

All Superinterfaces:
  XmlAnySimpleType, XmlObject, XmlTokenSource

public interface XmlFloat
extends XmlAnySimpleType

Corresponds to the XML Schema xs:float type.

Naturally, convertible to a Java float.

Nested Class Summary
`static class` | `XmlFloat.Factory` A class with methods for creating instances of `XmlFloat`.

Field Summary
`static SchemaType` | `type` The constant `SchemaType` object representing this schema type.

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`float` | `floatValue()` Deprecated. replaced by `getFloatValue()`
`float` | `getFloatValue()` Returns this value as a float
`void` | `set(float v)` Deprecated. replaced by `setFloatValue(float)`
`void` | `setFloatValue(float v)` Sets this value as a float

Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType
`getStringValue, set, setStringValue, stringValue`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    public static final SchemaType type

  The constant `SchemaType` object representing this schema type.

Method Detail

### getFloatValue

    public float getFloatValue()

  Returns this value as a float

### setFloatValue

    public void setFloatValue(float v)

  Sets this value as a float

### floatValue

    public float floatValue()

  Deprecated. replaced by `getFloatValue()`

  Returns this value as a float

### set

    public void set(float v)

  Deprecated. replaced by `setFloatValue(float)`

  Sets this value as a float

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD